Subject: Re: bug#49593: Emacs overrides normal-erase-is-backspace

From: "Paul W. Rankin" <[email-masked]>
Date: Sun, 18 Jul 2021 15:01:39 +1000

Hi Lars,

Thanks for looking into this. Yes after reading through the code of this 
my opinion is that it would be better scrapped and rewritten from 
scratch. (For me the patch did not fix the option persisting after 
restarting Emacs.)

I've managed to resolve my problem via the console itself so I'd rather 
not touch it, but might be worthwhile keeping the issue open if anyone 
else requires the mode/variable.

On 2021-07-16 20:04, Lars Ingebrigtsen wrote:
> 
> Hm, looking at the code to `normal-erase-is-backspace-mode', I don't 
> see
> how that's supposed to work at all.  The value is only used in
> `normal-erase-is-backspace-setup-frame', and calling
> `normal-erase-is-backspace-mode' doesn't actually change the value of
> the variable, which explains why `custom-set-variables' does nothing.